Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind
Class ServletRequestParameterPropertyValues

    java.lang.Object
      org.springframework.beans.MutablePropertyValues
          org.springframework.web.bind.ServletRequestParameterPropertyValues

All Implemented Interfaces:
  java.io.Serializable, PropertyValues

    public class ServletRequestParameterPropertyValues

extends MutablePropertyValues

PropertyValues implementation created from parameters in a ServletRequest. Can look for all property values beginning with a certain prefix and prefix separator (default is "_").

For example, with a prefix of "spring", "spring_param1" and "spring_param2" result in a Map with "param1" and "param2" as keys.

This class is not immutable to be able to efficiently remove property values that should be ignored for binding.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `WebUtils.getParametersStartingWith(javax.servlet.ServletRequest, java.lang.String)`, Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_PREFIX_SEPARATOR` Default prefix separator

Constructor Summary
`ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request)` Create new ServletRequestPropertyValues using no prefix (and hence, no prefix separator).
`ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request, java.lang.String prefix)` Create new ServletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").
`ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request, java.lang.String prefix, java.lang.String prefixSeparator)` Create new ServletRequestPropertyValues supplying both prefix and prefix separator.

Method Summary

Methods inherited from class org.springframework.beans.MutablePropertyValues
`add, addPropertyValue, addPropertyValue, addPropertyValues, addPropertyValues, changesSince, contains, equals, getPropertyValue, getPropertyValueList, getPropertyValues, hashCode, isConverted, isEmpty, registerProcessedProperty, removePropertyValue, removePropertyValue, setConverted, setPropertyValueAt, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_PREFIX_SEPARATOR

    public static final java.lang.String DEFAULT_PREFIX_SEPARATOR

  Default prefix separator

  See Also:
    Constant Field Values

Constructor Detail

### ServletRequestParameterPropertyValues

    public ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request)

  Create new ServletRequestPropertyValues using no prefix (and hence, no prefix separator).

  Parameters:
    `request` - HTTP request

### ServletRequestParameterPropertyValues

    public ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request,
                                                 java.lang.String prefix)

  Create new ServletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").

  Parameters:
    `request` - HTTP request
    `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
  See Also:
    `DEFAULT_PREFIX_SEPARATOR`

### ServletRequestParameterPropertyValues

    public ServletRequestParameterPropertyValues(javax.servlet.ServletRequest request,
                                                 java.lang.String prefix,
                                                 java.lang.String prefixSeparator)

  Create new ServletRequestPropertyValues supplying both prefix and prefix separator.

  Parameters:
    `request` - HTTP request
    `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
    `prefixSeparator` - separator delimiting prefix (e.g. "spring") and the rest of the parameter name ("param1", "param2")

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD